Subject: bug#15117: 24.3.50; doc of `(forward|backward)-*': state return value

From: Juanma Barranquero <[email-masked]>
Date: Tue, 11 Feb 2014 02:28:42 +0100

On Mon, Feb 10, 2014 at 10:16 PM, Drew Adams <[email-masked]> wrote:

> Motion functions are not what is typically meant by a side-effect
> function.

Why not? Functions intended to move the point are as prototypically
side-effect functions as you can get. That goto-char returns POSITION
is a moderately useful, but not-at-all necessary commodity. goto-char
moving the point as a side effect is its whole raison d'être.

> They do not change the contents of the buffer, for
> example, in the sense of `buffer-modified-p'.

Why would you restrict the definition of "side effects" to changing
the buffer? `recenter' has no documented return value, and does not
modify the buffer. Would you deny that it exists to recenter as a side
effect?

    J